Page MenuHomePhabricator

Mobile friendly OAuth permission screen when logging in to Phabricator
Closed, ResolvedPublic

Description

Originally reported by @Jaredzimmerman-WMF in Bug 73062:

when OAuth is triggered on mobile browsers, it still overlays the desktop site, and the dialog is not formatted for mobile screen.

@csteipp 2014-11-06 00:42:49 UTC
The app owner can fix this by setting the redirect url to a clean mediawiki url (www.mediawiki.org/wiki/Special:OAuth/authorize?whatever), instead of a /w/index.php?title=Special:OAuth/authorize&whatever url.
This is because mobile frontend's varnish config doesn't attempt to detect mobile devices for non-clean urls.
Status: NEW → RESOLVED
Resolution: --- → INVALID

Therefore, it looks like the fix needs to be done in the Phabricator side.

Event Timeline

Qgil created this task.Nov 6 2014, 12:23 PM
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added a project: Phabricator.
Qgil changed Security from none to None.
Qgil added subscribers: Jaredzimmerman-WMF, csteipp.
Qgil added a subscriber: Qgil.
Qgil added a subscriber: mmodell.Nov 27 2014, 7:59 AM
Qgil added a comment.EditedDec 8 2014, 7:41 AM

Is this an easy task? I'm asking to add the "Easy" tag or not.

@Qgil probably? I honestly don't know, perhaps Chris S. would want to weigh in.

@Qgil probably? I honestly don't know, perhaps Chris S. would want to weigh in.

It depends on what is desired here. If it's a single app that can update the url they're sending the users to, that's easy. If we want to MobileFrontend to handle this for everyone, that's a more difficult change.

Qgil added a comment.Dec 9 2014, 2:09 PM

I'm just talking about the MediaWiki login button at https://phabricator.wikimedia.org/auth/start/ linking to a mobile friendly Oauth dialog when a mobile device is detected.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Dec 9 2014, 2:10 PM
Aklapper lowered the priority of this task from Medium to Lowest.Jan 21 2015, 1:42 AM
Aklapper added a subscriber: Aklapper.

As most users will likely remain logged in on their mobile phones this seems to be an inconvenience that's not exposed very often (and I also hope that most mobile browsers allow zooming in nowadays). Hence lowering priority.

Aklapper moved this task from Need discussion to Misc on the Phabricator board.Oct 7 2016, 4:44 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 7 2016, 4:44 PM
Aklapper renamed this task from Mobile friendly OAuth permission screen when registering to Phabricator to Mobile friendly OAuth permission screen when logging in to Phabricator.Jul 27 2018, 7:33 PM
Aklapper closed this task as Resolved.Jul 27 2018, 7:35 PM
Aklapper added a project: Mobile.

Cannot reproduce:

If you can still reproduce, please reopen and provide better environment information to reproduce (screen size, etc).